Bug 1119215 - Generate the redundant record in guest's xml while configure the same listen address in guest's xm
Summary: Generate the redundant record in guest's xml while configure the same listen ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libvirt
Version: 7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Erik Skultety
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 1119212
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-14 09:43 UTC by zhenfeng wang
Modified: 2015-03-05 07:41 UTC (History)
8 users (show)

Fixed In Version: libvirt-1.2.8-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of: 1119212
Environment:
Last Closed: 2015-03-05 07:41:06 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0323 normal SHIPPED_LIVE Low: libvirt security, bug fix, and enhancement update 2015-03-05 12:10:54 UTC

Description zhenfeng wang 2014-07-14 09:43:01 UTC
+++ This bug was initially created as a clone of Bug #1119212 +++

Description of problem:
Generate the redundant record in guest's xml while configure the same listen address in guest's xml

Version-Release number of selected component (if applicable):
kernel-2.6.32-466.el6.x86_64
qemu-kvm-rhev-0.12.1.2-2.426.el6.x86_64
libvirt-0.10.2-40.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1.Prepare a shutoff guest
# virsh list --all
 Id    Name                           State
----------------------------------------------------
 -     rhel6                          shut off

2.Edit guest's xml, add multi same listen address in guest's xml, It will generate many redundant records
in guest's xml
#virsh edit rhel6
--
 <graphics type='vnc' port='-1' autoport='yes' listen='192.168.122.1' sharePolicy='ignore'>
      <listen type='address' address='192.168.122.1'/>
      <listen type='address' address='192.168.122.1'/>
      <listen type='address' address='127.0.0.1'/>
      <listen type='address' address='127.0.0.1'/>
      <listen type='address' address='1.1.1.1'/>
      <listen type='address' address='1.1.1.1'/>
    </graphics>


3.Save the guest's xml, then check the guest's xml
#virsh dumpxml rhel6
--
 <graphics type='vnc' port='-1' autoport='yes' listen='192.168.122.1' sharePolicy='ignore'>
      <listen type='address' address='192.168.122.1'/>
      <listen type='address' address='192.168.122.1'/>
      <listen type='address' address='127.0.0.1'/>
      <listen type='address' address='127.0.0.1'/>
      <listen type='address' address='1.1.1.1'/>
      <listen type='address' address='1.1.1.1'/>
    </graphics>


4.Start the guest
#virsh start rhel6

5.Connect the guest, only ip 192.168.122.1 works, other ip didn't work

Actual results:
Generate the redundant record in guest's xml while configure the same listen address in guest's xml

Expected results:
Should generate only 1 record while configure the same listen address in guest's xml

Comment 3 Erik Skultety 2014-08-18 12:58:29 UTC
Fixed upstream:

commit a282f5f79f02470d9178d7b981f6e82529cfd0c0
Author: Erik Skultety <eskultet@redhat.com>
Date:   Thu Aug 14 11:48:52 2014 +0200

qemu: Redundant listen address entry in quest xml
    
When editing guest's XML (on QEMU), it was possible to add multiple
listen elements into graphics parent element. However QEMU does not
support listening on multiple addresses. Configuration is tested for
multiple 'listen address' and if positive, an error is raised.

v1.2.7-141-ga282f5f

Comment 5 zhengqin 2014-09-05 03:44:41 UTC
Verified this issue with build libvirt-1.2.8-1.el7.x86_64:


Verify steps:

1.Prepare a shutoff guest
# virsh list --all
 Id    Name                           State
----------------------------------------------------
 -     rhel6                          shut off

2.Edit guest's xml, add multi same listen address in guest's xml, It will generate many redundant records
in guest's xml
#virsh edit rhel6
--
 <graphics type='vnc' port='-1' autoport='yes' listen='192.168.122.1' sharePolicy='ignore'>
      <listen type='address' address='192.168.122.1'/>
      <listen type='address' address='192.168.122.1'/>
      <listen type='address' address='127.0.0.1'/>
      <listen type='address' address='127.0.0.1'/>
      <listen type='address' address='1.1.1.1'/>
      <listen type='address' address='1.1.1.1'/>
    </graphics>


3.Save the guest's xml, then check the guest's xml
#virsh dumpxml rhel6
--
 <graphics type='vnc' port='-1' autoport='yes' listen='192.168.122.1' sharePolicy='ignore'>
      <listen type='address' address='192.168.122.1'/>
      <listen type='address' address='192.168.122.1'/>
      <listen type='address' address='127.0.0.1'/>
      <listen type='address' address='127.0.0.1'/>
      <listen type='address' address='1.1.1.1'/>
      <listen type='address' address='1.1.1.1'/>
    </graphics>


4.Start the guest
# virsh start rhel6
error: Failed to start domain rhel6
error: unsupported configuration: QEMU does not support multiple listen addresses for one graphics device.

Comment 6 zhengqin 2014-09-05 03:46:06 UTC
Currently, the guest could be started only one  listen addresses for one graphics device.

Comment 7 Luyao Huang 2014-11-21 02:50:13 UTC
Verify this bug with libvirt-1.2.8-7.el7.x86_64:

# virsh dumpxml r6
    <graphics type='spice' autoport='yes' listen='127.0.0.1'>
      <listen type='address' address='127.0.0.1'/>
      <listen type='address' address='0.0.0.0'/>
    </graphics>

# virsh start r6
error: Failed to start domain r6
error: unsupported configuration: QEMU does not support multiple listen addresses for one graphics device.

# virsh dumpxml r6
    <graphics type='vnc' port='-1' autoport='yes' listen='127.0.0.1'>
      <listen type='address' address='127.0.0.1'/>
      <listen type='address' address='0.0.0.0'/>
    </graphics>

# virsh start r6
error: Failed to start domain r6
error: unsupported configuration: QEMU does not support multiple listen addresses for one graphics device.

Comment 9 errata-xmlrpc 2015-03-05 07:41:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0323.html


Note You need to log in before you can comment on or make changes to this bug.